Package com.collibra.dgc.core.api.dto.instance.domain

# Class AddDomainRequest

Object
AddDomainRequest

All Implemented Interfaces:
  `Serializable`

public class AddDomainRequest extends Object implements Serializable
The properties of the domain to be added.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `AddDomainRequest.Builder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AddDomainRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AddDomainRequest.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `UUID`
  `getCommunityId()`
  Required. The ID of the community that the new domain should be added to.
  `String`
  `getDescription()`
  The description of the new domain.
  `Boolean`
  `getExcludedFromAutoHyperlinking()`
  `UUID`
  `getId()`
  `String`
  `getName()`
  Required. The name of the new domain.
  `UUID`
  `getTypeId()`
  The ID of the domain type of the new domain.
  `String`
  `getTypePublicId()`
  The public ID of the domain type of the new domain.
  `int`
  `hashCode()`
  `void`
  `setCommunityId(UUID communityId)`
  Required. The ID of the community that the new domain should be added to.
  `void`
  `setDescription(String description)`
  The description of the new domain.
  `void`
  `setExcludedFromAutoHyperlinking(Boolean excludedFromAutoHyperlinking)`
  `void`
  `setId(UUID id)`
  `void`
  `setName(String name)`
  Required. The name of the new domain.
  `void`
  `setTypeId(UUID typeId)`
  The ID of the domain type of the new domain.
  `void`
  `setTypePublicId(String typePublicId)`
  The public ID of the domain type of the new domain.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AddDomainRequest

    public AddDomainRequest()

- ## Method Details

  - ### builder

    public static AddDomainRequest.Builder builder()

  - ### getName

    public String getName()
    Required. The name of the new domain. Should be unique within the community.

  - ### getCommunityId

    public UUID getCommunityId()
    Required. The ID of the community that the new domain should be added to.

  - ### getTypeId

    public UUID getTypeId()
    The ID of the domain type of the new domain.

  - ### getDescription

    public String getDescription()
    The description of the new domain.

  - ### getId

    public UUID getId()

  - ### getExcludedFromAutoHyperlinking

    public Boolean getExcludedFromAutoHyperlinking()

  - ### getTypePublicId

    public String getTypePublicId()
    The public ID of the domain type of the new domain.

  - ### setName

    public void setName(String name)
    Required. The name of the new domain. Should be unique within the community.

  - ### setCommunityId

    public void setCommunityId(UUID communityId)
    Required. The ID of the community that the new domain should be added to.

  - ### setTypeId

    public void setTypeId(UUID typeId)
    The ID of the domain type of the new domain.

  - ### setDescription

    public void setDescription(String description)
    The description of the new domain.

  - ### setId

    public void setId(UUID id)

  - ### setExcludedFromAutoHyperlinking

    public void setExcludedFromAutoHyperlinking(Boolean excludedFromAutoHyperlinking)

  - ### setTypePublicId

    public void setTypePublicId(String typePublicId)
    The public ID of the domain type of the new domain.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`